Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.wsrp.core
Class RuntimeContext

    java.lang.Object
      org.jboss.portal.wsrp.core.RuntimeContext

All Implemented Interfaces:
  java.io.Serializable

    public class RuntimeContext

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected Extension[]` | `extensions`
`protected java.lang.String` | `namespacePrefix`
`protected java.lang.String` | `portletInstanceKey`
`protected java.lang.String` | `sessionID`
`protected Templates` | `templates`
`protected java.lang.String` | `userAuthentication`

Constructor Summary
`RuntimeContext()`
`RuntimeContext(java.lang.String userAuthentication, java.lang.String portletInstanceKey, java.lang.String namespacePrefix, Templates templates, java.lang.String sessionID, Extension[] extensions)`

Method Summary
`Extension[]` | `getExtensions()`
`java.lang.String` | `getNamespacePrefix()`
`java.lang.String` | `getPortletInstanceKey()`
`java.lang.String` | `getSessionID()`
`Templates` | `getTemplates()`
`java.lang.String` | `getUserAuthentication()`
`void` | `setExtensions(Extension[] extensions)`
`void` | `setNamespacePrefix(java.lang.String namespacePrefix)`
`void` | `setPortletInstanceKey(java.lang.String portletInstanceKey)`
`void` | `setSessionID(java.lang.String sessionID)`
`void` | `setTemplates(Templates templates)`
`void` | `setUserAuthentication(java.lang.String userAuthentication)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### userAuthentication

    protected java.lang.String userAuthentication

### portletInstanceKey

    protected java.lang.String portletInstanceKey

### namespacePrefix

    protected java.lang.String namespacePrefix

### templates

    protected Templates templates

### sessionID

    protected java.lang.String sessionID

### extensions

    protected Extension[] extensions

Constructor Detail

### RuntimeContext

    public RuntimeContext()

### RuntimeContext

    public RuntimeContext(java.lang.String userAuthentication,
                          java.lang.String portletInstanceKey,
                          java.lang.String namespacePrefix,
                          Templates templates,
                          java.lang.String sessionID,
                          Extension[] extensions)

Method Detail

### getUserAuthentication

    public java.lang.String getUserAuthentication()

### setUserAuthentication

    public void setUserAuthentication(java.lang.String userAuthentication)

### getPortletInstanceKey

    public java.lang.String getPortletInstanceKey()

### setPortletInstanceKey

    public void setPortletInstanceKey(java.lang.String portletInstanceKey)

### getNamespacePrefix

    public java.lang.String getNamespacePrefix()

### setNamespacePrefix

    public void setNamespacePrefix(java.lang.String namespacePrefix)

### getTemplates

    public Templates getTemplates()

### setTemplates

    public void setTemplates(Templates templates)

### getSessionID

    public java.lang.String getSessionID()

### setSessionID

    public void setSessionID(java.lang.String sessionID)

### getExtensions

    public Extension[] getExtensions()

### setExtensions

    public void setExtensions(Extension[] extensions)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD